#include <stdio.h>
#include <unistd.h>
#include "task.h"
#include "sched.h"
#include "hough.h"


int main(int argc, char *argv[])
{
    
    task_tcb task_1;
    task_variant taskvar_1a;

    void *task_1_wcet_param = hough_make_wcet_param();

    task_init(&task_1, "TASK_1", 1, 100, 1, &hough_preproc, task_1_wcet_param);
    task_variant_init(&taskvar_1a, &hough_transform_1, task_1_wcet_param, &hough_estimator_1, task_1_wcet_param);
    task_add_variant(&task_1, &taskvar_1a);

    task_start(&task_1);

    /*
     *sched_init();
     *sched_register_task(&task_1, 0);
     *sched_start();
     */

    return 0;
}
