#ifndef HOUGH_H_RHKXMJVO
#define HOUGH_H_RHKXMJVO

#include "opencv2/imgproc/imgproc.hpp"

#ifdef __cplusplus
#define EXTERNC extern "C"
#else
#define EXTERNC 
#endif

EXTERNC void* hough_make_wcet_param(void);

EXTERNC void hough_preproc(void *args, void *output);

EXTERNC unsigned int hough_estimator_1(void *args);

EXTERNC void hough_transform_1(void *args);

#undef EXTERNC

#endif /* end of include guard: HOUGH_H_RHKXMJVO */

