#include <stdio.h>
#include <stdlib.h>

#include "list.h"


int main(int argc, char *argv[])
{
    int a=4, b=5, c=6;
    double d=2.4, e=5.2;
    char *s = "Hello, world";

    linked_list *list = malloc(sizeof(linked_list));
    list_init(list);
    list_add_element(list, (void*)(&a));
    list_add_element(list, (void*)(&b));
    list_add_element(list, (void*)(&d));
    list_add_element(list, (void*)s);
    list_add_element(list, (void*)(&e));
    list_add_element(list, (void*)(&c));

    void *ret = list_get_current(list);
    printf("%d\n", *((int*)ret));

    ret = list_get_next(list);
    printf("%d\n", *((int*)ret));
    
    ret = list_remove_current(list);
    ret = list_get_next(list);
    printf("%f\n", *((double*)ret));
    
    ret = list_get_next(list);
    printf("%s\n", (char*)ret);

    int i = 0;

    while (list->n_elements > 0) {
        (void) list_remove_current(list);
        (void) list_get_next(list);
        i++;
    }
    printf("%d\n",i);

    char *str_1 = "ONE";
    char *str_2 = "TWO";
    char *str_3 = "THREE";
    char *str_4 = "FOUR";
    char *str_5 = "FIVE";
    char *insert_me = "INSERT ME";

    list_add_element(list, (void*)str_1);
    list_add_element(list, (void*)str_2);
    list_add_element(list, (void*)str_3);
    list_add_element(list, (void*)str_4);
    list_add_element(list, (void*)str_5);

    list->current_element = list->first_element;

    list_get_next(list);
    list_get_next(list);
    list_get_next(list);
    list_add_element_before_current(list, (void*) insert_me);

    list->current_element = list->first_element;

    ret = list_get_next(list);
    while(ret != NULL)
    {
        printf("%s\n", (char*)ret);
        ret = list_get_next(list);
    }


    list_destroy(list);

    free(list);
    
    return 0;
}
